# Visualization
TKService
Aspect

# Aspect_GraphicCallbackStruct Struct Reference

`#include <Aspect_GraphicCallbackProc.hxx>`

## Data Fields

int | reason
int | wsID
int | viewID
Aspect_Display | display
Aspect_Drawable | window
Aspect_RenderingContext | gcontext

## Field Documentation

Aspect_Display Aspect_GraphicCallbackStruct::display

Aspect_RenderingContext Aspect_GraphicCallbackStruct::gcontext

int Aspect_GraphicCallbackStruct::reason

int Aspect_GraphicCallbackStruct::viewID

Aspect_Drawable Aspect_GraphicCallbackStruct::window

int Aspect_GraphicCallbackStruct::wsID

The documentation for this struct was generated from the following file:

- Aspect_GraphicCallbackProc.hxx